## com.bbn.openmap.layer.vpf
Interface CoordTupleString

All Known Implementing Classes:
  CoordDoubleString

public interface CoordTupleString

Describe a common schema for accessing either double or float based coordinate tuple strings (arrays of tuples).

Method Summary
`double[]` `getasDouble(int tuple)` Accessor to retrieve a tuple
`double` `getasDouble(int tuple, int val)` Accessor to retrieve a single value in a tuple
`float[]` `getasFloat(int tuple)` Accessor to retrieve a tuple
`float` `getasFloat(int tuple, int val)` Accessor to retrieve a single value in a tuple
`java.lang.Number` `getPrimitiveType()` Accessor to determine the actual type managed.
`int` `maxIndex()` Accessor for the max tuple index

Method Detail

### maxIndex

    public int maxIndex()

  Accessor for the max tuple index

  Returns:
    the max tuple index

### getPrimitiveType

    public java.lang.Number getPrimitiveType()

  Accessor to determine the actual type managed.

  Returns:
    a Number the most directly corresponds to the underlying managed type (Float for a float tuplestring, Double for a double tuplestring, etc)

### getasFloat

    public float[] getasFloat(int tuple)

  Accessor to retrieve a tuple

  Parameters:
    `tuple` - the tuple to retrieve (the first tuple is index 0)
  Returns:
    the tuple at index `tuple`, coereced into a float[]

### getasDouble

    public double[] getasDouble(int tuple)

  Accessor to retrieve a tuple

  Parameters:
    `tuple` - the tuple to retrieve (the first tuple is index 0)
  Returns:
    the tuple at index `tuple`, coereced into a double[]

### getasFloat

    public float getasFloat(int tuple,
                            int val)

  Accessor to retrieve a single value in a tuple

  Parameters:
    `tuple` - the tuple to retrieve (the first tuple is index 0)
    `val` - the index of the value in the tuple (the first val is index 0)
  Returns:
    the tuple at index `tuple`, coereced into a float

### getasDouble

    public double getasDouble(int tuple,
                              int val)

  Accessor to retrieve a single value in a tuple

  Parameters:
    `tuple` - the tuple to retrieve (the first tuple is index 0)
    `val` - the index of the value in the tuple (the first val is index 0)
  Returns:
    the tuple at index `tuple`, coereced into a double

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details